import { Toast } from '../interfaces/toast';
import { ToastType } from '../types/toast-type';
import * as i0 from "@angular/core";
export declare class ToastService {
    private toasts;
    private toastSubject$;
    toast$: import("rxjs").Observable<Toast[]>;
    private idCounter;
    addToast(type: ToastType, message: string, timeoutms?: number): void;
    removeToast(toastId: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}
